Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## turtlekit.simulations.hunt2CyanVsOrange
Class PredatorOrange

    java.lang.Object
      madkit.kernel.AbstractAgent
          turtlekit.kernel.Turtle
              turtlekit.simulations.hunt2CyanVsOrange.Animat
                  turtlekit.simulations.hunt2CyanVsOrange.PredatorOrange

All Implemented Interfaces:
  java.io.Serializable, ReferenceableAgent

    public class PredatorOrange

extends Animat

A Predator

Version:
  2.0 25/02/2007
Author:
  Fabien MICHEL
See Also:
  Serialized Form

Field Summary

Fields inherited from class turtlekit.simulations.hunt2CyanVsOrange.Animat
`life, visionRadius`

Fields inherited from class turtlekit.kernel.Turtle
`East, North, NorthEast, NorthWest, South, SouthEast, SouthWest, TURTLE_DEFAULT_ROLE, West`

Constructor Summary
`PredatorOrange(int visionRadius, int initLife)`

Method Summary
`java.lang.String` | `chase()`
`java.lang.String` | `consume()`
`int` | `getStatus()`
`java.lang.String` | `live()`
`java.lang.String` | `sacrifice()`
`void` | `setup()`
`java.lang.String` | `waiting()`

Methods inherited from class turtlekit.simulations.hunt2CyanVsOrange.Animat
`consumeResource, eatPrey, getLife, move, reproduce, toString`

Methods inherited from class turtlekit.kernel.Turtle
`activate, bk, countTurtlesAt, countTurtlesHere, createTurtle, defaultAction, die, distance, distanceNowrap, dropMark, dropMarkAt, dx, dy, end, fd, getColor, getHeading, getHidden, getMark, getMarkAt, getPatchColor, getPatchColorAt, getPatchVariable, getPatchVariableAt, getSimulationGroup, getTurtleWithID, getWorldHeight, getWorldWidth, giveUpRole, home, incrementPatchVariable, incrementPatchVariableAt, isMarkPresent, isMarkPresentAt, isPlayingRole, moveTo, moveTo, mySelf, playRole, randomHeading, realX, realY, setColor, setHeading, setHidden, setPatchColor, setPatchColorAt, setX, setXY, setY, towards, towardsNowrap, turnLeft, turnRight, turtlesAt, turtlesHere, xcor, ycor`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, receiveMessage, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PredatorOrange

    public PredatorOrange(int visionRadius,
                          int initLife)

Parameters:
  `visionRadius` -
  `initLife` -

Method Detail

### setup

    public void setup()

  Overrides:
    `setup` in class `Turtle`

### live

    public java.lang.String live()

### consume

    public java.lang.String consume()

### sacrifice

    public java.lang.String sacrifice()

### waiting

    public java.lang.String waiting()

### chase

    public java.lang.String chase()

### getStatus

    public int getStatus()

  Returns:
    the status

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.